package mhp.oee.po.gen;

import java.util.Date;

public class ReasonAlertLogPO {
    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column resource_alert_log.SITE
     *
     * @mbggenerated
     */
    private String site;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column resource_alert_log.RESRCE
     *
     * @mbggenerated
     */
    private String resrce;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column resource_alert_log.RESOURCE_STATE
     *
     * @mbggenerated
     */
    private String resourceState;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column resource_alert_log.DATE_TIME
     *
     * @mbggenerated
     */
    private Date dateTime;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column resource_alert_log.PLC_ADDRESS
     *
     * @mbggenerated
     */
    private String plcAddress;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column resource_alert_log.DESCRIPTION
     *
     * @mbggenerated
     */
    private String description;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column resource_alert_log.CREATED_DATE_TIME
     *
     * @mbggenerated
     */
    private Date createdDateTime;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column resource_alert_log.MODIFIED_DATE_TIME
     *
     * @mbggenerated
     */
    private Date modifiedDateTime;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column resource_alert_log.MODIFIED_USER
     *
     * @mbggenerated
     */
    private String modifiedUser;

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column resource_alert_log.SITE
     *
     * @return the value of resource_alert_log.SITE
     *
     * @mbggenerated
     */
    public String getSite() {
        return site;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column resource_alert_log.SITE
     *
     * @param site the value for resource_alert_log.SITE
     *
     * @mbggenerated
     */
    public void setSite(String site) {
        this.site = site == null ? null : site.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column resource_alert_log.RESRCE
     *
     * @return the value of resource_alert_log.RESRCE
     *
     * @mbggenerated
     */
    public String getResrce() {
        return resrce;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column resource_alert_log.RESRCE
     *
     * @param resrce the value for resource_alert_log.RESRCE
     *
     * @mbggenerated
     */
    public void setResrce(String resrce) {
        this.resrce = resrce == null ? null : resrce.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column resource_alert_log.RESOURCE_STATE
     *
     * @return the value of resource_alert_log.RESOURCE_STATE
     *
     * @mbggenerated
     */
    public String getResourceState() {
        return resourceState;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column resource_alert_log.RESOURCE_STATE
     *
     * @param resourceState the value for resource_alert_log.RESOURCE_STATE
     *
     * @mbggenerated
     */
    public void setResourceState(String resourceState) {
        this.resourceState = resourceState == null ? null : resourceState.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column resource_alert_log.DATE_TIME
     *
     * @return the value of resource_alert_log.DATE_TIME
     *
     * @mbggenerated
     */
    public Date getDateTime() {
        return dateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column resource_alert_log.DATE_TIME
     *
     * @param dateTime the value for resource_alert_log.DATE_TIME
     *
     * @mbggenerated
     */
    public void setDateTime(Date dateTime) {
        this.dateTime = dateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column resource_alert_log.PLC_ADDRESS
     *
     * @return the value of resource_alert_log.PLC_ADDRESS
     *
     * @mbggenerated
     */
    public String getPlcAddress() {
        return plcAddress;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column resource_alert_log.PLC_ADDRESS
     *
     * @param plcAddress the value for resource_alert_log.PLC_ADDRESS
     *
     * @mbggenerated
     */
    public void setPlcAddress(String plcAddress) {
        this.plcAddress = plcAddress == null ? null : plcAddress.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column resource_alert_log.DESCRIPTION
     *
     * @return the value of resource_alert_log.DESCRIPTION
     *
     * @mbggenerated
     */
    public String getDescription() {
        return description;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column resource_alert_log.DESCRIPTION
     *
     * @param description the value for resource_alert_log.DESCRIPTION
     *
     * @mbggenerated
     */
    public void setDescription(String description) {
        this.description = description == null ? null : description.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column resource_alert_log.CREATED_DATE_TIME
     *
     * @return the value of resource_alert_log.CREATED_DATE_TIME
     *
     * @mbggenerated
     */
    public Date getCreatedDateTime() {
        return createdDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column resource_alert_log.CREATED_DATE_TIME
     *
     * @param createdDateTime the value for resource_alert_log.CREATED_DATE_TIME
     *
     * @mbggenerated
     */
    public void setCreatedDateTime(Date createdDateTime) {
        this.createdDateTime = createdDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column resource_alert_log.MODIFIED_DATE_TIME
     *
     * @return the value of resource_alert_log.MODIFIED_DATE_TIME
     *
     * @mbggenerated
     */
    public Date getModifiedDateTime() {
        return modifiedDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column resource_alert_log.MODIFIED_DATE_TIME
     *
     * @param modifiedDateTime the value for resource_alert_log.MODIFIED_DATE_TIME
     *
     * @mbggenerated
     */
    public void setModifiedDateTime(Date modifiedDateTime) {
        this.modifiedDateTime = modifiedDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column resource_alert_log.MODIFIED_USER
     *
     * @return the value of resource_alert_log.MODIFIED_USER
     *
     * @mbggenerated
     */
    public String getModifiedUser() {
        return modifiedUser;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column resource_alert_log.MODIFIED_USER
     *
     * @param modifiedUser the value for resource_alert_log.MODIFIED_USER
     *
     * @mbggenerated
     */
    public void setModifiedUser(String modifiedUser) {
        this.modifiedUser = modifiedUser == null ? null : modifiedUser.trim();
    }
}